# Class LOCChurnChartMaker

java.lang.Object
net.sf.statcvs.output.LOCChurnChartMaker

public class LOCChurnChartMaker extends Object
Class for producing Lines Of Code with Churn charts

Author:
  Benoit Xhenseval (www.ObjectLab.co.uk)

## Constructor Summary

Constructors
Constructor
Description
`LOCChurnChartMaker(String chartName, ReportConfig config, org.jfree.data.time.TimeSeries churnSeries, org.jfree.data.time.TimeSeries locSeries, String title, String fileName, List annotations)`
Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG

## Method Summary

Modifier and Type
Method
Description
`ChartImage`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LOCChurnChartMaker

public LOCChurnChartMaker(String chartName, ReportConfig config, org.jfree.data.time.TimeSeries churnSeries, org.jfree.data.time.TimeSeries locSeries, String title, String fileName, List annotations)
Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG

Parameters:
  `chartName` -
  `churnSeries` - the Churn history
  `locSeries` - the LOC history
  `title` - the chart title
  `fileName` - the filename where the chart will be saved
  `annotations` -
  `width` - width of PNG in pixels
  `height` - height of PNG in pixels

## Method Details

### toFile

public ChartImage toFile()